%define oname	rosa

Summary:	ROSA icons theme
Name:		%{oname}-icons
Version:	1.1.3
Release:	7
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		www.rosalinux.com
# https://abf.rosalinux.ru/uxteam/rosa-icons-devel
Source0:	%{name}-%{version}.tar.xz
Source1:	kdenlive-actions.tar.xz
Source2:	gnome3-devices.tar.xz
Patch0:		rosa-icons-1.1.3-inherits.patch
BuildRequires:	fdupes
BuildRequires:	inkscape
Requires:	gnome-icon-theme
BuildArch:	noarch

%description
ROSA icon theme is high quality icon theme for KDE, GNOME and Xfce.
It is part of ROSA theme pack - theme for ROSA Desktop distribution.
Initially based on the original icon theme Elementary by Daniel Fore
(Dan Rabbit).

%files
%{_datadir}/icons/%{oname}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
tar xJf %{SOURCE1}
tar xJf %{SOURCE2}

%install
mkdir -p %{buildroot}%{_datadir}/icons/%{oname}
cp -rf ./* %{buildroot}%{_datadir}/icons/%{oname}

# An ugly hack to work with Ikscape.
# TODO: Neccessary find a real problem!
cd %{buildroot}%{_datadir}/icons/%{oname}/16x16/places

for i in `ls`
do
    echo "Converting $i to plain SVG."
    inkscape -l $i $i
done
# devices icons should be converted too
cd %{buildroot}%{_datadir}/icons/%{oname}/16x16/devices
for i in `ls`
do
    echo "Converting $i to plain SVG."
    inkscape -l $i $i
done

%fdupes -s %{buildroot}%{_datadir}/icons/%{oname}


%changelog
* Wed Aug 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.3-7
+ Revision: d6fe13d
- Don't inherit Gnome themes, especially HighContrast

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.3-5
+ Revision: 702c69b
- MassBuild#440: Increase release tag

* Thu Feb 27 2014 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.3-4
+ Revision: d469a94
- Change icon for gnome-disks on 128x128.

* Sun Jan 19 2014 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.3-3
+ Revision: 4d77030
- Removed wrong icon for .odt file.

* Wed Nov 20 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.3-2
+ Revision: ab64fcd
- release up SILENT

* Tue Nov 19 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.3-1
+ Revision: bcdb254
- Fix Gtk-WARNING.

* Wed Nov 13 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.3-1
+ Revision: ca1796e
- Change icon of pulseaudio properties.

* Thu Nov 07 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.2-1
+ Revision: af02b39
- Fix index.theme for mimes/mimetypes.

* Wed Oct 23 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.1-1
+ Revision: 77f09d8
- Update sourse.

* Wed Sep 04 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.1-1
+ Revision: 7c83b89
- Change fixed to threshold.

* Wed Sep 04 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.1-1
+ Revision: 0cb52dd
- Try build

* Wed Sep 04 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.1-1
+ Revision: 30b56a2
- Try build.

* Wed Sep 04 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1.1.1-1
+ Revision: afa88f3
- Type changed from fixed to threshold and scalable.

* Fri Aug 30 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.1.0-1
+ Revision: 6c79271
- Repacked archives

* Fri Aug 30 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.1.0-1
+ Revision: 252fa94
- Fixed spec

* Fri Aug 30 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.1.0-1
+ Revision: 4f72d9d
- Updated to version 1.1.0

* Thu Jul 18 2013 Anton Sterkhov <anton.sterhov@rosalab.ru> 1.0.44-1
+ Revision: 3b70de6
- Fixed bug with devices in Gnome3

* Fri May 31 2013 Anton Sterkhov <anton.sterhov@rosalab.ru> 1.0.43-1
+ Revision: a18508e
- Added icons for gnome-control-center, Bijiben, Evince.

* Mon Feb 11 2013 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.42-1
+ Revision: b78aa17
- Removed Mozilla Thunderbird icon due to the problems in GNOME Shell (we have this icon directly in the TB package)

* Tue Jan 29 2013 Anton Sterkhov <anton.sterhov@rosalab.ru> 1.0.41-1
+ Revision: 7dfffff
- Removed duplicate icons in the categories

* Tue Jan 29 2013 Anton Sterkhov <anton.sterhov@rosalab.ru> 1.0.41-1
+ Revision: c6c6826
- Removed duplicate icons in the categories

* Tue Jan 29 2013 Anton Sterkhov <anton.sterhov@rosalab.ru> 1.0.41-1
+ Revision: 808d4a4
- Removed duplicate icons in the categories

* Wed Jan 09 2013 Anton <anton.sterhov@rosalab.ru> 1.0.40-1
+ Revision: 86b0e75
- added categories

* Sat Dec 29 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.39-1
+ Revision: 1f3389a
- Fixed archive. KDENlive icons moved to the separate archive kdenlive-actions.tar.xz.

* Fri Dec 28 2012 Anton <anton.sterhov@rosalab.ru> 1.0.39-1
+ Revision: 277e7b3
- replaced wrong cursors

* Tue Dec 25 2012 Anton <anton.sterhov@rosalab.ru> 1.0.38-1
+ Revision: ae0dcf7
- removed spec fail

* Tue Dec 25 2012 Anton <anton.sterhov@rosalab.ru> 1.0.38-1
+ Revision: e67a8ff
- kdenlive spec fix

* Mon Dec 24 2012 anton <anton@localhost.localdomain> 1.0.38-1
+ Revision: 7116098
- added categories, kdenlive fix

* Thu Dec 20 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.37-1
+ Revision: 5f28bb2
- Added missed icons for KDENlive.

* Tue Dec 11 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.35-1
+ Revision: a3ec46d
- Theme adopted for GNOME3 (part 2 of changes.)

* Fri Dec 07 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.33-1
+ Revision: b192f09
- Theme adopted for GNOME3.

* Tue Nov 27 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.31-1
+ Revision: 8611c67
- Added missing icons for LibreOffice. Fixed k3b mimetypes icons. Added an ugly fix for work with Inkscape.

* Sat Nov 24 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.30-1
+ Revision: c4c9377
- Removed all icons in PNG, because of problems of scaling in KDE. Removed stuff like .xpm. Now only SVG. DO NOT TOUCH THIS PACKAGE WITHOUT MY APPROVAL.

* Fri Nov 23 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.29.4-3
+ Revision: b6f03ae
- Fixed spec.

* Wed Nov 21 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.29.4-2
+ Revision: 7a33474
- Fixed spec.

* Wed Nov 21 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.29.4-2
+ Revision: 08b8062
- Added filetrigger for update gtk-icon-cache.

* Wed Nov 21 2012 Denis Koryavov <denis.koryavov@rosalab.ru> 1.0.29.4-1
+ Revision: 7bcb6ec
- Added more than 30 new icon sets. Added scalable directory with the svg icons.


